Subject: Re: bug#43735: 28.0.50; eshell: No such directory found via CDPATH environment variable

From: Stefan Kangas <[email-masked]>
Date: Mon, 8 Mar 2021 07:23:33 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> Jean Louis <[email-masked]> writes:
>
>>> > I think it is related also to CDPATH. Now when I remove CDPATH from
>>> > .bashrc, then it works.
>>>
>>> What's your CDPATH variable?
>>
>> export
>> CDPATH="./:~:/home/data1/protected/Work/3rd-Dynamic/Corporation/Division_4/Dept_10/Company
>> Formation"
>
> I can reproduce this bug:
>
> M-x eshell
> $ export CDPATH="/var"
> $ cd tmp
> No such directory found via CDPATH environment variable
>
> (tmp does exist.)

BTW, the error message here should really not be talking about CDPATH in
this case, it is just confusing:

    Welcome to the Emacs shell

    ~/org/notes $ cd ~/wip/non-existent
    No such directory found via CDPATH environment variable
    ~/org/notes $ cd ~/wip/emacs
    ~/wip/emacs $

But (getenv "CDPATH") => nil